package speiger.src.builder.conditions;

import speiger.src.builder.processor.CompiledArguments;

public class FlagCondition implements ICondition
{
	String flag;
	boolean inverted;
	
	public FlagCondition(String flag, boolean inverted)
	{
		this.flag = flag;
		this.inverted = inverted;
	}

	@Override
	public boolean isValid(CompiledArguments args)
	{
		return args.test(flag) != inverted;
	}
}
