package speiger.src.builder.conditions;

import java.util.List;

import speiger.src.builder.processor.CompiledArguments;

public class OrCondition implements ICondition
{
	List<ICondition> conditions;
	
	public OrCondition(List<ICondition> conditions)
	{
		this.conditions = conditions;
	}

	@Override
	public boolean isValid(CompiledArguments args)
	{
		for(int i = 0,m=conditions.size();i<m;i++)
		{
			if(conditions.get(i).isValid(args))
			{
				return true;
			}
		}
		return false;
	}
}
